/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef BUDGETMODEL_H
#define BUDGETMODEL_H

#include "BudgetClass.h"
#include <QAbstractTableModel>
#include <QDateTime>
#include <QStringList>

class BudgetModel : public QAbstractTableModel
{
    Q_OBJECT

public:
    BudgetModel(QObject *pParent = 0);
    const BudgetClass* getBudget(void) const;
    AccountClass *getAccount(int row) const;
    QDate getDate(int column) const;

    // Re-implemented for Abstract Table Model
    int rowCount(const QModelIndex &parent) const;
    int columnCount(const QModelIndex &parent) const;
    QVariant data(const QModelIndex &index, int role) const;
    QVariant headerData(int section, Qt::Orientation orientation, int role) const;
    bool setData(const QModelIndex &index, const QVariant &value, int role);
    Qt::ItemFlags flags ( const QModelIndex & index ) const;


private:
    BudgetClass *pBudget;
    QDateTime selectedMonth;

};

#endif // BUDGETMODEL_H
