/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#include "Logger.h"
#include "LogClass.h"

// Global logging class.  This ensures there is only one logging class per application.
LogClass gLog;

void LoggerMsg(const char* domain, int level, const char *pFunction, const char *pFile, const int line, const char *pStr, ...)
{
    va_list ap;
    va_start(ap, pStr);
    QString s;
    s = s.vsprintf(pStr, ap);
    va_end(ap);
    gLog.LogStr(QString(domain), level, s, pFunction, pFile, line);
}

