/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef LOGGER_H
#define LOGGER_H

#include <QString>

enum LogLevelEnum
{
    LOG_ERROR,
    LOG_WARN,
    LOG_INFO,
    LOG_DEBUG,
    LOG_TRACE
};


#define LogMsg(domain, level, cFormatStr, x...) \
    LoggerMsg(domain, level, __FUNCTION__, __FILE__, __LINE__, cFormatStr, x);

void LoggerMsg(const char* domain, int level, const char *pFunction, const char *pFile, const int line, const char *pStr, ...)
            #if defined(Q_CC_GNU) && !defined(__INSURE__)
                    __attribute__ ((format (printf, 6, 7)))
            #endif
                    ;

#endif // LOGGER_H
