/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#include "MainWindow.h"

#include "BudgetViewDelegate.h"

#include "Logger.h"

#include <QApplication>
#include <QDesktopWidget>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    LogMsg("Main", LOG_DEBUG, "Oh boy:%d", 100);
    pBudgetModel = new BudgetModel(this);

    pView = new QTableView(this);
    pView->setModel(pBudgetModel);
    pView->setItemDelegate(new BudgetViewDelegate(pView));

    connect( pBudgetModel, SIGNAL(dataChanged(QModelIndex,QModelIndex)),
             pView, SLOT(resizeColumnsToContents()));
    connect( pBudgetModel, SIGNAL(dataChanged(QModelIndex,QModelIndex)),
             pView, SLOT(resizeRowsToContents()));
    pView->resizeColumnsToContents();
    pView->resizeRowsToContents();

    pView->setEditTriggers(QAbstractItemView::DoubleClicked
                           | QAbstractItemView::SelectedClicked);
    pView->setSelectionBehavior(QAbstractItemView::SelectRows);

    setCentralWidget(pView);
    QRect size = QApplication::desktop()->screenGeometry();
    this->resize(size.width()*2/3, size.height()*2/3);
}

MainWindow::~MainWindow()
{

}
