/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef RULECLASS_H
#define RULECLASS_H

#include <QString>
#include <QDateTime>
#include <QtCore/QVariant>

class RuleClass;
Q_DECLARE_METATYPE( RuleClass );
Q_DECLARE_METATYPE( RuleClass* );

class RuleClass
{
public:
    RuleClass();
    RuleClass(QString guid, QDate month);

    QString getAccountString(void);
    QString getMontlyString(void);

    QDate getDate(void);
    float getAccountMax();
    float getMonthlyMax();
    float getMonthlyFixed();
    float getPercent();

    void setAccountMax(float val);
    void setMonthlyMax(float val);
    void setMonthlyFixed(float val);
    void setPercent(float val);

private:
    QDate month;
    QString guid;

    float accountMax;
    float monthlyMax;
    float monthlyFixed;
    float percent;
    QString ConvertToString(float value);
    void UpdateQuery(void);
};


#endif // RULECLASS_H
