/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#include "RuleEdit.h"

#include "RuleClass.h"
#include "Utilities.h"

#include <QLayout>
#include <QHBoxLayout>
#include <QFormLayout>
#include <QLabel>

#include <iostream>

RuleEdit::RuleEdit(QWidget *pParent) : QDialog(pParent)
{
    QFormLayout *pMainLayout = new QFormLayout;


    pAccountMax = new QLineEdit;
    pMainLayout->addRow(tr("Account Max"), pAccountMax);

    pMonthlyMax = new QLineEdit;
    pMainLayout->addRow(tr("Monthly Max"), pMonthlyMax);

    pMonthlyFixed = new QLineEdit;
    pMainLayout->addRow(tr("Monthly Fixed"), pMonthlyFixed);

    pPercentage = new QLineEdit;
    pMainLayout->addRow(tr("Percentage"), pPercentage);

    pAccountMax->setMinimumWidth(100);
    this->setLayout(pMainLayout);
}

void RuleEdit::GetRule(RuleClass *pRule)
{
    std::cerr << "Editor Get Date:" << qPrintable(date.toString(DateFormat)) << std::endl;
    pRule->setAccountMax(pAccountMax->displayText().toFloat());
    pRule->setMonthlyMax(pMonthlyMax->displayText().toFloat());
    pRule->setMonthlyFixed(pMonthlyFixed->displayText().toFloat());
    pRule->setPercent(pPercentage->displayText().toFloat());
}

void RuleEdit::SetRule(RuleClass *pRule)
{
    //RuleClass rule(ruleString);
    date = pRule->getDate();
    std::cerr << "Editor Set Date:" << qPrintable(date.toString(DateFormat)) << std::endl;

    QString str;
    str.sprintf("%0.2f", pRule->getAccountMax());
    pAccountMax->setText(str);
    str.sprintf("%0.2f", pRule->getMonthlyMax());
    pMonthlyMax->setText(str);
    str.sprintf("%0.2f", pRule->getMonthlyFixed());
    pMonthlyFixed->setText(str);
    str.sprintf("%0.2f", pRule->getPercent());
    pPercentage->setText(str);

}

void RuleEdit::closeEvent ( QCloseEvent * event )
{
    event->accept();
}
