/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#include "Utilities.h"

#include <iostream>


void SqlQueryVerify(const QSqlQuery &query, QString errorStr)
{
    if(query.lastError().isValid())
    {
        std::cerr << qPrintable(errorStr)
                << " Error Msg:" << qPrintable(query.lastError().text())
                << " Query:" << qPrintable(query.lastQuery())
                << std::endl;
    }
}

QDate SetToLastDayOfMonth(QDate date)
{
    if(QDate::isValid(date.year(), date.month(), 31))
        return QDate(date.year(), date.month(), 31);
    if(QDate::isValid(date.year(), date.month(), 30))
        return QDate(date.year(), date.month(), 30);
    if(QDate::isValid(date.year(), date.month(), 29))
        return QDate(date.year(), date.month(), 29);
    if(QDate::isValid(date.year(), date.month(), 28))
        return QDate(date.year(), date.month(), 28);
    return QDate();

}

QString FormatMoney(float value)
{
    QString str;
    // If there are decimals, include them
    if(value - floor(value) > 0)
    {
        str.sprintf("%0.2f", value);
        return str;
    }
    else
    {
        str.sprintf("%0.0f", value);
        return str;
    }
}
