/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef UTILITIES_H
#define UTILITIES_H

#include <QtSql>
#include <QString>

// These are the gnucash time formats
const QString TimeDateFormat = "yyyyMMddHHmmss";
const QString DateFormat = "yyyyMMdd";

const int RULE_COLUMN = 0;
const int ACTUAL_COLUMN = 1;
const int PLANNED_COLUMN = 2;
const int ACCUMULATED_COLUMN = 3;
const int NUM_COLUMNS = 4;

void SqlQueryVerify(const QSqlQuery &query, QString errorStr);
QDate SetToLastDayOfMonth(QDate date);
QString FormatMoney(float value);

#endif // UTILITIES_H
